<template>
  <div class="delete-all">
    Delete All
    <div v-for="(customer, index) in customer_list" :key="index">
      {{customer.id}}
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: 'DeleteAll',
  data: () => ({
    customer_list: [],
    id_list: []
  }),
  methods:{
    async getCustomerList() {
      console.log("get customer list");
      var info_response = await axios.get(
        "https://ahasoft-sample-apis.azurewebsites.net/Customer"
      );
      console.log("info_response = ", info_response);
      if (info_response.status === 200) {
        this.customer_list = [...info_response.data];
        // console.log("this.customer_list = ", this.customer_list);
      } else {
        this.customer_list = [];
      }
    }
  },
  async mounted() {
    await this.getCustomerList(); // Container
    for (var i = 0; i < this.customer_list.length; i++){
      var id = this.customer_list[i].id;
      console.log(id);
      var res = await axios.delete(
        `https://ahasoft-sample-apis.azurewebsites.net/Customer?id=${id}`
      );
      console.log(res);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
